// GSL Example in MS Visual Studio .Net 2003 (Visual C++ 7)
// 2007/08/20 Miguel Torres Torriti
// --- Creating a project ---
//    Copy GSL include files to $MSVS/include/gsl
//    where $MSVS is the MS Visual C++ directory.
// 2. Copy GSL lib files to $MSVS/lib
//    where $MSVS is the MS Visual C++ directory.
// 3. Create a new project with the menu option:
//    File/New/Project/Visual C++ Projects/Win32/Win32 Console/Application Settings
//    -Select Console Application
//    -Select Empty Project
// 4. Add this file this file (gsl_test1.cpp) to the project with the menu option
//    File/Add Existing Item or by right-clicking on "Source Files" within the Solution
//    Explorer pane (use CTRL+ALT+L to open the Solution Explorer) and then selecting 
//    Add/Add Existing Item...
// 5. Open this file (gsl_test1.cpp) within the editor window and place the cursor within
//    the editor window.
// 6. Select the menu option Project/gsl_test1 Properties.  Set the following options:
//    a. For Debug version:
//       C/C++/Code Generation/Multi-threaded Debug DLL (/MDd)
//       Linker/General/Enable Incremental Linking = YES
//       Linker/Input/Additional Dependecies = gsl_d.lib
//       Linker/Input/Ignore Specific Library = libcd.lib
//    b. For Release version:
//       C/C++/Code Generation/Multi-threaded DLL (/MD)
//       Linker/General/Enable Incremental Linking = NO
//       Linker/Input/Additional Dependecies = gsl.lib
//       Linker/Input/Ignore Specific Library = libc.lib
//

#include <stdio.h>
#include <gsl/gsl_sf_bessel.h>

int main (void)
{
 double x = 5.0;
 double y = gsl_sf_bessel_J0 (x);
 printf ("J0(%g) = %.18e\n", x, y);
 return 0;
}